Main Page Groups Namespaces

# bind_return.h File Reference

## Namespaces
namespace | sigc
## Classes
struct | sigc::bind_return_functor<T_return, T_functor>
| Adaptor that fixes the return value of the wrapped functor. More...
struct | sigc::bind_return_functor<T_return, T_functor>::deduce_result_type<T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7>
## Functions
template<class T_action, class T_return, class T_functor>
void | sigc::visit_each (const T_action& _A_action, const bind_return_functor<T_return, T_functor>& _A_target)
| Performs a functor on each of the targets of a functor.
template<class T_return, class T_functor>
bind_return_functor < T_return, T_functor > | sigc::bind_return (const T_functor& _A_functor, T_return _A_ret_value)
| Creates an adaptor of type sigc::bind_return_functor which fixes the return value of the passed functor to the passed argument.